﻿using System;
using System.Collections.Generic;

using Newtonsoft.Json;

namespace Automap
{
	
	public  class PersistedConfiguration
	{
		/// <summary>
		/// Run AM After a small delay when client has loaded fully
		/// </summary>
		/// <value>To autostart.</value>
		public bool Autostart { get; set; } = false;

		//public string ChosenRendererName { get; set; }

		//All - Designators, setup
		public List<BlockDesignator> BlockDesignators { get; set; }
		public List<EntityDesignator> EntityDesignators { get; set; }


		public PersistedConfiguration(bool defaults = false )
		{

		if (defaults) {
		BlockDesignators = DefaultDesignators.DefaultBlockDesignators( );
		EntityDesignators= DefaultDesignators.DefaultEntityDesignators( );
		}

		}


	}
}

